# $Revision: 1.109 $, $Date: 2010/10/08 09:29:25 $
#
# Conditional build:
%bcond_without	dist_kernel	# without distribution kernel
%bcond_without	kernel		# without kernel packages
%bcond_without	userspace	# don't build userspace programs
%bcond_with	verbose		# verbose build (V=1)

%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif

%define		pname		xorg-driver-video-nvidia-legacy2
%define		rel		2

Summary:	Linux Drivers for older nVidia GeForce/Quadro Chips
Summary(pl.UTF-8):	Sterowniki do starszych kart graficznych nVidia GeForce/Quadro
Name:		%{pname}%{_alt_kernel}
Version:	96.43.18
Release:	%{rel}
License:	nVidia Binary
Group:		X11
Source0:	ftp://download.nvidia.com/XFree86/Linux-x86/%{version}/NVIDIA-Linux-x86-%{version}-pkg0.run
# Source0-md5:	f19041ded11947c54ac9f31dc1496e3b
Source1:	ftp://download.nvidia.com/XFree86/Linux-x86_64/%{version}/NVIDIA-Linux-x86_64-%{version}-pkg0.run
# Source1-md5:	10105692a6578862221a97e24267a9e4
Patch0:		X11-driver-nvidia-GL.patch
Patch1:		X11-driver-nvidia-legacy-desktop.patch
URL:		http://www.nvidia.com/object/unix.html
BuildRequires:	%{kgcc_package}
%if %{with kernel}
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.20.2}
%endif
BuildRequires:	rpmbuild(macros) >= 1.379
BuildConflicts:	XFree86-nvidia
Requires:	xorg-xserver-server
Requires:	xorg-xserver-server(videodrv-abi) >= 2.0
Requires:	xorg-xserver-server(videodrv-abi) <= 6.0
Provides:	OpenGL = 2.1
Provides:	OpenGL-GLX = 1.4
Provides:	xorg-xserver-module(glx)
Obsoletes:	Mesa
Obsoletes:	X11-OpenGL-core < 1:7.0.0
Obsoletes:	X11-OpenGL-libGL < 1:7.0.0
Obsoletes:	XFree86-OpenGL-core < 1:7.0.0
Obsoletes:	XFree86-OpenGL-libGL < 1:7.0.0
Obsoletes:	XFree86-driver-nvidia
Obsoletes:	XFree86-nvidia
Conflicts:	Mesa-libGL
Conflicts:	XFree86-OpenGL-devel <= 4.2.0-3
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _noautoreqdep   libGL.so.1 libGLcore.so.1
%define		_enable_debug_packages	0

%description
This driver set adds improved 2D functionality to the Xorg/XFree86 X
server as well as high performance OpenGL acceleration, AGP support,
support for most flat panels, and 2D multiple monitor support.

This driver version supports the following nVidia adapters: 
GeForce 6100/6150/6150LE/6200/6200TurboCache(TM)/6500/6600/6600GT/6600LE/6600VE/6610XL/6800/6800GS/6800GT/6800LE/6800Ultra/6800XE/6800XT/7300GS/7300LE/7600GS/7600GT/7800GS/7800GT/7800GTX/7900GT/7900GTX
GeForce FX 5100/5200/5200LE/5500/5600/5600XT/5700/5700LE/5700VE/5800/5900/5900XT/5900ZT/5950/Go5100/Go5200/Go5250/Go53xx/Go5600/Go5650/Go5700
GeForce Go 6200/6400/6600/6800/7300/7400/7600/7800/7900 
GeForce PCX 4300/5750/5900 GeForce2 Go/Integrated GPU/MX(100/200/400)
GeForce3/GeForce3 Ti(200/500) GeForce4 410Go/420Go/4200Go/440Go/460Go
GeForce4 MX 4000/420/440/440SE/440-SE/460/Integrated 
GeForce4 Ti 4200/4400/4600/4800 
Quadro DCC 
Quadro FX 1000/1100/1300/1400/1500/1500M/2000/2500M/3000/330/3400/4400/3450/350/3500/350M/4000/4500/500/600/540/550/5500/560/700/Go1000/Go1400/Go700
Quadro NVS 110M/120M/280/285/440/50 Quadro NVSA Quadro2 MXR/EX/Go
Quadro4 380XGL/500GoGL/550XGL/580XGL/700GoGL/700XGL/750XGL/780XGL/900XGL/980XGL

Older TNT/GeForce/Quadro adapters are supported by driver from
xorg-driver-video-nvidia-legacy package, not this one.

%description -l pl.UTF-8
Usprawnione sterowniki dla kart graficznych nVidia do serwera
Xorg/XFree86, dające wysokowydajną akcelerację OpenGL, obsługę AGP i
wielu monitorów 2D.

Ta wersja sterowników obsługuje następujące karty nVidia: 
GeForce 6100/6150/6150LE/6200/6200TurboCache(TM)/6500/6600/6600GT/6600LE/6600VE/6610XL/6800/6800GS/6800GT/6800LE/6800Ultra/6800XE/6800XT/7300GS/7300LE/7600GS/7600GT/7800GS/7800GT/7800GTX/7900GT/7900GTX
GeForce FX 5100/5200/5200LE/5500/5600/5600XT/5700/5700LE/5700VE/5800/5900/5900XT/5900ZT/5950/Go5100/Go5200/Go5250/Go53xx/Go5600/Go5650/Go5700
GeForce Go 6200/6400/6600/6800/7300/7400/7600/7800/7900 
GeForce PCX 4300/5750/5900 GeForce2 Go/Integrated GPU/MX(100/200/400)
GeForce3/GeForce3 Ti(200/500) GeForce4 410Go/420Go/4200Go/440Go/460Go
GeForce4 MX 4000/420/440/440SE/440-SE/460/Integrated 
GeForce4 Ti 4200/4400/4600/4800 
Quadro DCC 
Quadro FX 1000/1100/1300/1400/1500/1500M/2000/2500M/3000/330/3400/4400/3450/350/3500/350M/4000/4500/500/600/540/550/5500/560/700/Go1000/Go1400/Go700
Quadro NVS 110M/120M/280/285/440/50 Quadro NVSA Quadro2 MXR/EX/Go
Quadro4 380XGL/500GoGL/550XGL/580XGL/700GoGL/700XGL/750XGL/780XGL/900XGL/980XGL

Starsze karty TNT/GeForce/Quadro są obsługiwane przez sterownik z
pakietu xorg-driver-video-nvidia-legacy.

%package devel
Summary:	OpenGL (GL and GLX) header files
Summary(pl.UTF-8):	Pliki nagłówkowe OpenGL (GL i GLX)
Group:		X11/Development/Libraries
Requires:	%{pname} = %{version}-%{release}
Provides:	OpenGL-GLX-devel = 1.4
Provides:	OpenGL-devel = 2.1
Obsoletes:	X11-OpenGL-devel-base
Obsoletes:	XFree86-OpenGL-devel-base
Obsoletes:	XFree86-driver-nvidia-devel
Conflicts:	XFree86-OpenGL-devel < 4.3.99.902-0.3

%description devel
OpenGL header files (GL and GLX only) for NVIDIA OpenGL
implementation.

%description devel -l pl.UTF-8
Pliki nagłówkowe OpenGL (tylko GL i GLX) dla implementacji OpenGL
firmy NVIDIA.

%package static
Summary:	Static XvMCNVIDIA library
Summary(pl.UTF-8):	Statyczna biblioteka XvMCNVIDIA
Group:		X11/Development/Libraries
Requires:	%{pname}-devel = %{version}-%{release}

%description static
Static XvMCNVIDIA library.

%description static -l pl.UTF-8
Statyczna biblioteka XvMCNVIDIA.

%package progs
Summary:	Tools for advanced control of nVidia graphic cards
Summary(pl.UTF-8):	Narzędzia do zarządzania kartami graficznymi nVidia
Group:		Applications/System
Requires:	%{pname} = %{version}-%{release}
Obsoletes:	XFree86-driver-nvidia-progs

%description progs
Tools for advanced control of nVidia graphic cards.

%description progs -l pl.UTF-8
Narzędzia do zarządzania kartami graficznymi nVidia.

%package -n kernel%{_alt_kernel}-video-nvidia-legacy2
Summary:	nVidia kernel module for nVidia Architecture support
Summary(de.UTF-8):	Das nVidia-Kern-Modul für die nVidia-Architektur-Unterstützung
Summary(pl.UTF-8):	Moduł jądra dla obsługi kart graficznych nVidia
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
Requires:	dev >= 2.7.7-10
%{?with_dist_kernel:%requires_releq_kernel}
Provides:	X11-driver-nvidia(kernel)
Obsoletes:	XFree86-nvidia-kernel

%description -n kernel%{_alt_kernel}-video-nvidia-legacy2
nVidia Architecture support for Linux kernel.

%description -n kernel%{_alt_kernel}-video-nvidia-legacy2 -l de.UTF-8
Die nVidia-Architektur-Unterstützung für den Linux-Kern.

%description -n kernel%{_alt_kernel}-video-nvidia-legacy2 -l pl.UTF-8
Obsługa architektury nVidia dla jądra Linuksa. Pakiet wymagany przez
sterownik nVidii dla Xorg/XFree86.

%prep
cd %{_builddir}
rm -rf NVIDIA-Linux-x86*-%{version}-pkg*
%ifarch %{ix86}
/bin/sh %{SOURCE0} --extract-only
%setup -qDT -n NVIDIA-Linux-x86-%{version}-pkg0
%else
/bin/sh %{SOURCE1} --extract-only
%setup -qDT -n NVIDIA-Linux-x86_64-%{version}-pkg0
%endif
%patch0 -p1
%patch1 -p1
echo 'EXTRA_CFLAGS += -Wno-pointer-arith -Wno-sign-compare -Wno-unused' >> usr/src/nv/Makefile.kbuild

%build
%if %{with kernel}
cd usr/src/nv/
ln -sf Makefile.kbuild Makefile
cat >> Makefile <<'EOF'

$(obj)/nv-kernel.o: $(src)/nv-kernel.o.bin
	cp $< $@
EOF
mv nv-kernel.o{,.bin}
%build_kernel_modules -m nvidia
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with userspace}
install -d $RPM_BUILD_ROOT%{_libdir}/xorg/modules/{drivers,extensions} \
        $RPM_BUILD_ROOT{%{_includedir}/GL,%{_libdir},%{_bindir},%{_mandir}/man1} \
        $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},/etc/X11/xinit/xinitrc.d}

install usr/bin/nvidia-{settings,xconfig,bug-report.sh} $RPM_BUILD_ROOT%{_bindir}
install usr/share/man/man1/nvidia-{settings,xconfig}.* $RPM_BUILD_ROOT%{_mandir}/man1
install usr/share/applications/nvidia-settings.desktop $RPM_BUILD_ROOT%{_desktopdir}
install usr/share/pixmaps/nvidia-settings.png $RPM_BUILD_ROOT%{_pixmapsdir}

for f in \
        usr/lib/tls/libnvidia-tls.so.%{version}         \
        usr/lib/libnvidia-cfg.so.%{version}             \
        usr/lib/libGL{,core}.so.%{version}              \
        usr/X11R6/lib/libXvMCNVIDIA.so.%{version}       \
        usr/X11R6/lib/libXvMCNVIDIA.a                   \
; do
        install $f $RPM_BUILD_ROOT%{_libdir}
done

install usr/X11R6/lib/modules/extensions/libglx.so.%{version} \
        $RPM_BUILD_ROOT%{_libdir}/xorg/modules/extensions
install usr/X11R6/lib/modules/drivers/nvidia_drv.so \
        $RPM_BUILD_ROOT%{_libdir}/xorg/modules/drivers

install usr/include/GL/*.h $RPM_BUILD_ROOT%{_includedir}/GL

ln -sf libglx.so.%{version} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/extensions/libglx.so
ln -sf libXvMCNVIDIA.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libXvMCNVIDIA.so
ln -sf libXvMCNVIDIA.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libXvMCNVIDIA_dynamic.so.1

# OpenGL ABI for Linux compatibility
ln -sf libGL.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libGL.so.1
ln -sf libGL.so.1 $RPM_BUILD_ROOT%{_libdir}/libGL.so
%endif

%if %{with kernel}
%install_kernel_modules -m usr/src/nv/nvidia -d misc
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
cat << EOF
NOTE: You must install:
kernel-video-nvidia-legacy2-%{version}
for this driver to work
EOF

%postun	-p /sbin/ldconfig

%post	-n kernel%{_alt_kernel}-video-nvidia-legacy2
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-video-nvidia-legacy2
%depmod %{_kernel_ver}

%if %{with userspace}
%files
%defattr(644,root,root,755)
%doc LICENSE
%doc usr/share/doc/{README.txt,NVIDIA_Changelog,XF86Config.sample,html}
%attr(755,root,root) %{_libdir}/libGL.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libGL.so.1
# symlink for binary apps which fail to conform Linux OpenGL ABI
# (and dlopen libGL.so instead of libGL.so.1)
%attr(755,root,root) %{_libdir}/libGL.so
%attr(755,root,root) %{_libdir}/libGLcore.so.*.*
%attr(755,root,root) %{_libdir}/libXvMCNVIDIA.so.*.*
%attr(755,root,root) %{_libdir}/libXvMCNVIDIA_dynamic.so.1
%attr(755,root,root) %{_libdir}/libnvidia-cfg.so.*.*.*
%attr(755,root,root) %{_libdir}/libnvidia-tls.so.*.*.*
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/nvidia_drv.so
%attr(755,root,root) %{_libdir}/xorg/modules/extensions/libglx.so*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXvMCNVIDIA.so
%dir %{_includedir}/GL
%{_includedir}/GL/gl.h
%{_includedir}/GL/glext.h
%{_includedir}/GL/glx.h
%{_includedir}/GL/glxext.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libXvMCNVIDIA.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nvidia-settings
%attr(755,root,root) %{_bindir}/nvidia-xconfig
%attr(755,root,root) %{_bindir}/nvidia-bug-report.sh
%{_desktopdir}/nvidia-settings.desktop
%{_mandir}/man1/nvidia-*
%{_pixmapsdir}/nvidia-settings.png
%endif

%if %{with kernel}
%files -n kernel%{_alt_kernel}-video-nvidia-legacy2
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/misc/*.ko*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-video-nvidia-legacy2.spec,v $
Revision 1.109  2010/10/08 09:29:25  hawk
- release 2

Revision 1.108  2010/08/29 13:31:33  hawk
- updated to 96.43.18

Revision 1.107  2010/06/02 21:26:41  hawk
- release 5

Revision 1.106  2010/04/02 08:27:01  arekm
- release 4

Revision 1.105  2010/03/17 07:29:07  arekm
- release 3

Revision 1.104  2010/03/16 06:14:35  arekm
- release 2

Revision 1.103  2010/02/25 11:39:28  hawk
- updated to 96.43.16

Revision 1.102  2010/02/15 09:41:12  arekm
- release 7

Revision 1.101  2010/02/02 12:07:07  arekm
- disable debuginfo

Revision 1.100  2010/01/08 18:10:41  arekm
- release 6

Revision 1.99  2009/12/19 11:00:48  arekm
- release 5

Revision 1.98  2009/12/16 18:00:40  arekm
- release 4

Revision 1.97  2009/12/12 20:03:20  arekm
- release 3

Revision 1.96  2009/11/23 08:01:39  arekm
- release 2

Revision 1.95  2009/11/13 21:53:10  arekm
- up to 96.43.14

Revision 1.94  2009/10/25 14:28:35  hawk
- release 7

Revision 1.93  2009/10/02 08:28:21  arekm
- release 6

Revision 1.92  2009/09/24 22:51:12  hawk
- release 5

Revision 1.91  2009/09/18 16:24:38  hawk
- release 4

Revision 1.90  2009/08/18 12:27:55  hawk
- release 3

Revision 1.89  2009/08/01 20:13:12  arekm
- release 2

Revision 1.88  2009/07/14 16:54:27  hawk
- updated to 96.43.13, builds with 2.6.30.x

Revision 1.87  2009/07/12 19:31:04  hawk
- release 8

Revision 1.86  2009/06/20 17:45:02  hawk
- release 7

Revision 1.85  2009/04/21 20:02:22  arekm
- release 6

Revision 1.84  2009/04/07 22:10:53  glen
- cleanup

Revision 1.83  2009/03/25 19:40:45  arekm
- release 5

Revision 1.82  2009/03/18 11:54:03  hawk
- according to changelog driver works with xserver 1.6, not tested

Revision 1.81  2009/03/17 14:53:54  hawk
- release 3

Revision 1.80  2009/02/25 21:05:56  arekm
- release 2

Revision 1.79  2009/02/25 14:24:48  hawk
- updated to stable release 96.43.11

Revision 1.78  2009/02/18 07:54:06  arekm
- up to 96.43.10 (still beta line, no supported stable for our xserver/2.6.28 pair)

Revision 1.77  2009/02/17 23:04:37  arekm
- release 14

Revision 1.76  2009/02/10 07:28:00  arekm
- release 13

Revision 1.75  2009/02/07 16:57:21  arekm
- release 12

Revision 1.74  2009/02/04 23:55:48  hawk
- use pak0 (without useless prebuilt kernel modules)

Revision 1.73  2009/01/25 12:55:55  arekm
- release 11

Revision 1.72  2009/01/19 12:30:37  arekm
- release 10

Revision 1.71  2009/01/15 12:54:21  arekm
- release 9

Revision 1.70  2009/01/10 22:37:42  arekm
- release 8

Revision 1.69  2008/12/27 09:00:19  qboosh
- glx extension module provides should be pure virtual

Revision 1.68  2008/12/19 06:31:19  arekm
- release 7

Revision 1.67  2008/12/14 11:43:17  arekm
- release 6

Revision 1.66  2008/12/06 09:00:34  arekm
- release 5

Revision 1.65  2008/11/21 16:16:04  arekm
- release 4

Revision 1.64  2008/11/21 08:43:13  arekm
- rel 3; abi up to 4.1

Revision 1.63  2008/11/08 09:27:14  arekm
- release 2

Revision 1.62  2008/11/04 20:00:01  arekm
- up to 96.43.09 (beta but has some xserver 1.5 support)

Revision 1.61  2008/10/13 20:48:04  arekm
- release 9

Revision 1.60  2008/10/08 18:55:05  arekm
- major abi cannot change

Revision 1.59  2008/09/09 09:02:11  hawk
- release 8

Revision 1.58  2008/09/02 06:42:35  arekm
- release 7

Revision 1.57  2008/08/30 16:33:51  arekm
- release 6

Revision 1.56  2008/08/06 20:20:48  hawk
- release 5

Revision 1.55  2008/08/03 10:20:17  arekm
- release 4

Revision 1.54  2008/07/29 10:32:30  hawk
- release 3

Revision 1.53  2008/07/25 07:10:25  arekm
- release 2

Revision 1.52  2008/07/22 13:41:47  hawk
- updated to 96.43.07

Revision 1.51  2008/07/19 08:02:06  arekm
- release 18

Revision 1.50  2008/07/15 09:16:33  arekm
- release 17

Revision 1.49  2008/07/02 20:44:37  arekm
- release 16

Revision 1.48  2008/07/01 16:09:24  arekm
- release 15

Revision 1.47  2008/06/26 06:47:06  arekm
- release 14

Revision 1.46  2008/06/24 11:27:39  arekm
- release 13

Revision 1.45  2008/06/23 19:18:52  hawk
- release 12

Revision 1.44  2008/06/11 15:52:00  hawk
- release 11

Revision 1.43  2008-06-08 16:52:20  hawk
- release 10

Revision 1.42  2008-05-24 10:08:25  hawk
- release 9

Revision 1.41  2008-05-05 06:53:43  hawk
- release 8

Revision 1.40  2008-04-30 21:47:10  hawk
- fix building with kernel 2.6.25

Revision 1.39  2008-03-27 20:57:12  glen
- rel 7 (2.6.22.19-5)

Revision 1.38  2008-03-10 12:22:56  arekm
- release 6

Revision 1.37  2008-02-29 08:25:05  hawk
- release 5

Revision 1.36  2008-02-11 11:33:32  arekm
- rel 4

Revision 1.35  2008-02-08 08:51:45  hawk
- release 3

Revision 1.34  2008-02-03 07:39:36  hawk
- release 2

Revision 1.33  2008-01-30 20:40:11  hawk
- updated to 96.43.05

Revision 1.32  2008-01-24 23:09:29  glen
- drop no_install_post_strip (not reasoned)

Revision 1.31  2008-01-23 18:22:04  hawk
- src.rpm contents shouldn't be arch or bcond dependent
- killed unecessary macros _nv_ver and _nv_rel
- suffix src package with alt kernel name (if present)
- disable userspace for alt_kernels
- cleanup

Revision 1.30  2008-01-22 22:54:38  glen
- rel 9 (2.6.16.59-2)

Revision 1.29  2007-12-17 14:21:09  arekm
- rel 8

Revision 1.28  2007-12-15 12:03:53  arekm
- rel 7

Revision 1.27  2007-11-29 08:08:33  arekm
- rel 6

Revision 1.26  2007-11-25 10:34:47  arekm
- rel 5

Revision 1.25  2007-11-09 18:17:01  patrys
- don't obsolete mesa-libgl

Revision 1.24  2007-11-01 07:41:18  shadzik
- rel 3 (rebuild with 2.6.22.10-4)

Revision 1.23  2007/10/24 13:53:43  arekm
- rel 2

Revision 1.22  2007/10/20 12:08:19  qboosh
- updated URL

Revision 1.21  2007/10/18 20:26:27  shadzik
- up to 96.43.01 by Paweł Żuk redstorm15 at gmail dot com>

Revision 1.20  2007/10/12 12:52:25  arekm
- rel 4

Revision 1.19  2007/09/10 17:02:25  arekm
- require old ABI not available in xserver 1.4

Revision 1.18  2007/09/06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.17  2007/08/27 17:17:58  qboosh
- it seems to even implement OpenGL 2.1, updated Provides

Revision 1.16  2007/08/27 06:25:40  qboosh
- own /usr/include/GL

Revision 1.15  2007/08/27 06:09:37  qboosh
- separated -static (libXvMCNVIDIA.a)
- better description for -devel
- versioned OpenGL-GLX* Provides (1.4)
- dropped OpenGL-devel-base cap; obsolete old X*-OpenGL-devel-base packages
- fixed libGL* symlinks, include libGL.so.1 symlink as ghost

Revision 1.14  2007/06/26 16:24:03  qboosh
- updated banners (no more 24 or smp), decreased their annoyance

Revision 1.13  2007/06/19 20:12:36  blekot
- up to 9639

Revision 1.12  2007/06/08 21:44:15  arekm
- rebuild

Revision 1.11  2007/04/20 10:22:21  pluto
- bump release and rebuild with 2.6.20.7.

Revision 1.10  2007/04/15 14:42:21  shadzik
- fix name in several cases
- rel 3

Revision 1.9  2007/04/12 17:57:26  shadzik
- fix Name (now really)
- rel 2 for rebuild

Revision 1.8  2007/04/08 23:50:58  shadzik
- proper rpm macros are not enough, you need also a proper kernel (updated kernel-module-build version)

Revision 1.7  2007/04/08 23:34:30  shadzik
- fix Provides and Obsoletes
- kill sed >= 4.0 BR

Revision 1.6  2007/04/08 23:29:32  qboosh
- sync en/pl, killed fubar spelling

Revision 1.5  2007/04/08 23:19:14  shadzik
- UTF-8

Revision 1.4  2007/04/08 23:16:22  shadzik
- partially adapterized

Revision 1.3  2007/04/08 19:05:29  shadzik
- add a _very_ detailed information about supported cards

Revision 1.2  2007/04/08 18:12:40  shadzik
- use new kernel macros
- use new kernel module build system
- remove Source2 and Source3 (they're somehow obsolete, Source3 wasn't even used in the spec)
- remove whole smp stuff
- change banner a bit to fit the changes i mentioned above

Revision 1.1  2007/04/08 14:16:05  blekot
- new
- graphics card should be included in description (I don't know where I can find it)
- works for me
